
# Webapp

Required package for all web based applications, and should virtually always be installed.  Only exceptions are if you're developing a simple CLI tool, bot, or otherwise.  This package provides various functionality for a web based application including administration panel, e-mail notification system, alerts system, and more.

Everything needed to know about the e-mail notification system can be found on the [Create E-Mail Notification Controller](https://apexpl.io/docs/communication/create_email_notification) page of the documentation.

Aside from that, please review the [Class and Function Reference](/apex/webapp/trunk/docs/classes/index.md) section of this documentation for further details.

If you have a need for multiple administrators, please see the [apex/multi-admins](https://code.apexpl/apex/multi-admins) package.




